using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsPriceCode {
        public BemsPriceCode() {
            BemsSitePrice = new HashSet<BemsSitePrice>();
            BemsSitePriceHistory = new HashSet<BemsSitePriceHistory>();
        }

        //요금설정
        [Display(Name = "요금코드"), Key]
        [StringLength(20)]
        public string PriceCode { get; set; }
        [Display(Name = "요금내용")]
        [StringLength(200)]
        public string PriceCodeDesc { get; set; }
        [Display(Name = "에너지 타입 Id (전력, 가스, 수도)")]
        public short? FuelTypeId { get; set; }
        [Display(Name = "단위")]
        [StringLength(20)]
        public string Unit { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }

        [InverseProperty("PriceCodeNavigation")]
        public virtual ICollection<BemsSitePrice> BemsSitePrice { get; set; }
        [InverseProperty("PriceCodeNavigation")]
        public virtual ICollection<BemsSitePriceHistory> BemsSitePriceHistory { get; set; }
    }
}
